package com.hzya.frame.voucher.ae.comf.factor.dao.impl;

import com.hzya.frame.voucher.ae.comf.factor.entity.AeConfInfluenceFactorEntity;
import com.hzya.frame.voucher.ae.comf.factor.dao.IAeConfInfluenceFactorDao;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 会计事项(accounting_event)-配置-影响因素设置(AeConfInfluenceFactor)表数据库访问层
 *
 * @author zydd
 * @since 2025-05-23 09:44:40
 */
@Repository
public class AeConfInfluenceFactorDaoImpl extends MybatisGenericDao<AeConfInfluenceFactorEntity, String> implements IAeConfInfluenceFactorDao{

    @Override
    public AeConfInfluenceFactorEntity queryById(AeConfInfluenceFactorEntity entity) {
        List<AeConfInfluenceFactorEntity> aeConfInfluenceFactorEntities = this.queryList(entity, "com.hzya.frame.voucher.ae.comf.factor.dao.impl.AeConfInfluenceFactorDaoImpl.queryById");
        if(aeConfInfluenceFactorEntities.size()!=0){
            return aeConfInfluenceFactorEntities.get(0);
        }
        return null;
    }

    @Override
    public List<AeConfInfluenceFactorEntity> queryAll(AeConfInfluenceFactorEntity entity) {
        List<AeConfInfluenceFactorEntity> aeConfInfluenceFactorEntities = this.queryList(entity, "com.hzya.frame.voucher.ae.comf.factor.dao.impl.AeConfInfluenceFactorDaoImpl.queryAll");
        return aeConfInfluenceFactorEntities;
    }
}

