package com.hzya.frame.voucher.ae.comf.factor.entity;

import java.util.List;

import com.hzya.frame.voucher.ae.comf.factor.entity.vo.MappingFieldVO;
import com.hzya.frame.web.entity.BaseEntity;
import lombok.Data;

/**
 * 会计事项(accounting_event)-配置-影响因素关联设置(AeConfInfluenceFactorCorrelation)实体类
 *
 * @author zydd
 * @since 2025-05-27 09:07:42
 */
@Data
public class AeConfInfluenceFactorCorrelationEntity extends BaseEntity {

    /**
     * 影响因素id
     */
    private Long factorId;
    /**
     * 影响因素name
     */
    private String factorName;
    /**
     * 主数据id
     */
    private String mdmId;
    /**
     * 主数据code，对应en_code
     */
    private String mdmCode;
    private String enCode;
    /**
     * 主数据name，对应ch_code
     */
    private String mdmName;
    private String chCode;
    /**
     * 映射字段id
     */
    private String mappingFieldId;
    /**
     * 映射字段code
     */
    private String mappingFieldCode;
    /**
     * 映射字段name
     */
    private String mappingFieldName;
    /**
     * 备注
     */
    private String remark;
    private String def1;
    private String def2;
    private String def3;
    private String def4;
    private String def5;
    private String def6;
    private String def7;
    private String def8;
    private String def9;
    private String def10;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 修改人
     */
    private String modifyUser;

    List<MappingFieldVO> mappingFieldList;

}

