package com.hzya.frame.voucher.ae.comf.factor.entity;

import java.util.Date;

import com.hzya.frame.web.entity.BaseEntity;
import lombok.Data;

/**
 * 会计事项(accounting_event)-配置-影响因素设置(AeConfInfluenceFactor)实体类
 *
 * @author zydd
 * @since 2025-05-23 09:44:40
 */
@Data
public class AeConfInfluenceFactorEntity extends BaseEntity {

    /**
     * 业务模块id
     */
    private Long aeConfModuleId;
    /**
     * 业务模块name
     */
    private String aeConfModuleName;
    /**
     * 影响因素名称
     */
    private String factorName;
    /**
     * 映射档案id bd_bdinfo的pkBdinfo
     */
    private String mappingFileId;
    /**
     * 映射档案code bd_bdinfo的tablename
     */
    private String mappingFileCode;
    /**
     * 映射档案名称 bd_bdinfo的bdname
     */
    private String mappingFileName;
    /**
     * 备注
     */
    private String remark;
    private String def1;
    private String def2;
    private String def3;
    private String def4;
    private String def5;
    private String def6;
    private String def7;
    private String def8;
    private String def9;
    private String def10;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 修改人
     */
    private String modifyUser;


}

