package com.hzya.frame.voucher.ae.comf.module.service;

import com.github.pagehelper.PageInfo;
import com.hzya.frame.voucher.ae.comf.module.entity.AeConfBusinessModuleMdmEntity;
import com.hzya.frame.basedao.service.IBaseService;

import java.util.List;
import java.util.Map;

/**
 * 会计事项(accounting_event)-配置-业务模块-单据类型-关联(AeConfBusinessModuleBillType)表服务接口
 *
 * @author zydd
 * @since 2025-05-23 16:31:42
 */
public interface IAeConfBusinessModuleMdmService extends IBaseService<AeConfBusinessModuleMdmEntity, String>{
    List<AeConfBusinessModuleMdmEntity> queryAll(AeConfBusinessModuleMdmEntity entity);

    List<AeConfBusinessModuleMdmEntity> queryModuleIncludeMdmList(AeConfBusinessModuleMdmEntity entity);

    List<AeConfBusinessModuleMdmEntity> queryMdmsByModuleId(AeConfBusinessModuleMdmEntity entity);

    List<AeConfBusinessModuleMdmEntity> saveList(List<AeConfBusinessModuleMdmEntity> list);

    List<AeConfBusinessModuleMdmEntity> updateList(List<AeConfBusinessModuleMdmEntity> list);

    Map<String,Integer> deleteList(List<AeConfBusinessModuleMdmEntity> list);

//    PageInfo queryEntityPaged(AeConfBusinessModuleMdmEntity entity);
}
