package com.hzya.frame.voucher.ae.comf.subject.service;

import com.hzya.frame.voucher.ae.comf.subject.entity.AeConfSubjectContrastBEntity;
import com.hzya.frame.basedao.service.IBaseService;

import java.util.List;

/**
 * 会计事项(accounting_event)-配置-科目对照_子表(AeConfSubjectContrastB)表服务接口
 *
 * @author zydd
 * @since 2025-06-05 15:13:29
 */
public interface IAeConfSubjectContrastBService extends IBaseService<AeConfSubjectContrastBEntity, String>{
    List<AeConfSubjectContrastBEntity> queryAllByContrastId(AeConfSubjectContrastBEntity entity);

    List<AeConfSubjectContrastBEntity> saveListEntity(List<AeConfSubjectContrastBEntity> list);

    List<AeConfSubjectContrastBEntity> updateList(List<AeConfSubjectContrastBEntity> list);

    void deleteList(AeConfSubjectContrastBEntity entity);
}
