package com.hzya.frame.voucher.ae.comf.subject.service;

import com.hzya.frame.voucher.ae.comf.subject.entity.AeConfSubjectContrastEntity;
import com.hzya.frame.basedao.service.IBaseService;

import java.util.List;

/**
 * 会计事项(accounting_event)-配置-科目对照(AeConfSubjectContrast)表服务接口
 *
 * @author zydd
 * @since 2025-05-30 15:04:47
 */
public interface IAeConfSubjectContrastService extends IBaseService<AeConfSubjectContrastEntity, String>{
    List<AeConfSubjectContrastEntity> queryAll(AeConfSubjectContrastEntity entity);

    AeConfSubjectContrastEntity queryById(AeConfSubjectContrastEntity entity);

    AeConfSubjectContrastEntity saveEntity(AeConfSubjectContrastEntity entity) throws NoSuchFieldException, IllegalAccessException;
    AeConfSubjectContrastEntity updateEntity(AeConfSubjectContrastEntity entity) throws Exception;
    AeConfSubjectContrastEntity deleteEntity(AeConfSubjectContrastEntity entity) throws Exception;

    AeConfSubjectContrastEntity queryByInfluenceIds(AeConfSubjectContrastEntity entity);
}
