package com.hzya.frame.voucher.ae.comf.bd.entity;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.hzya.frame.web.entity.BaseEntity;
import lombok.Data;

/**
 * 会计事项(accounting_event)-配置-数据配置-科目表(AeConfBdAccsubj)实体类
 *
 * @author zydd
 * @since 2025-06-05 17:20:09
 */
@Data
public class AeConfBdAccsubjEntity extends BaseEntity {
    private String accremove;
    private String balanflag;
    private Long balanorient;
    private String beginperiod;
    private String beginyear;
    private String bothorient;
    private Long cashbankflag;
    private Long checkdouble;
    private Long checktype;
    private String createcorp;
    private String createperiod;
    private String createyear;
    private String ctlsystem;
    private String currency;
    private String dispname;
    private Long dr;
    private String endflag;
    private String endperiod;
    private String endyear;
    private String engsubjname;
    @JsonIgnore
    private String free1;
    @JsonIgnore
    private String free10;
    @JsonIgnore
    private String free11;
    @JsonIgnore
    private String free12;
    @JsonIgnore
    private String free13;
    @JsonIgnore
    private String free14;
    @JsonIgnore
    private String free15;
    @JsonIgnore
    private String free16;
    @JsonIgnore
    private String free17;
    @JsonIgnore
    private String free18;
    @JsonIgnore
    private String free19;
    @JsonIgnore
    private String free2;
    @JsonIgnore
    private String free20;
    @JsonIgnore
    private String free3;
    @JsonIgnore
    private String free4;
    @JsonIgnore
    private String free5;
    @JsonIgnore
    private String free6;
    @JsonIgnore
    private String free7;
    @JsonIgnore
    private String free8;
    @JsonIgnore
    private String free9;
    private String incurflag;
    private String innerinfonull;
    private String innersubj;
    private String outflag;
    private String pkAccsubj;
    private String pkCorp;
    private String pkCreateGlorgbook;
    private String pkGlorgbook;
    private String pkGrpaccsubj;
    private String pkSubjscheme;
    private String pkSubjtype;
    @JsonIgnore
    private String property1;
    @JsonIgnore
    private String property2;
    @JsonIgnore
    private String property3;
    @JsonIgnore
    private String property4;
    @JsonIgnore
    private String property5;
    private String remcode;
    private String sealflag;
    private String stoped;
    private String subjcode;
    private Long subjlev;
    private String subjname;
    private Long sumprintLevel;
    private Date ts;
    private String unit;
}

