package com.hzya.frame.voucher.ae.comf.module.entity;

import com.hzya.frame.mdm.mdmModule.entity.MdmModuleEntity;
import com.hzya.frame.web.entity.BaseEntity;
import lombok.Data;

import java.util.List;

/**
 * 会计事项(accounting_event)-配置-业务模块-单据类型-关联(AeConfBusinessModuleBillType)实体类
 *
 * @author zydd
 * @since 2025-05-23 16:31:42
 */
@Data
public class AeConfBusinessModuleMdmEntity extends BaseEntity {

    /**
     * 业务模块id
     */
    private Long aeConfModuleId;
    /**
     * 业务模块name
     */
    private String aeConfModuleName;
    /**
     * 单据类型id
     */
    private String mdmId;
    /**
     * 单据类型code
     */
    private String mdmCode;
    /**
     * 单据类型name
     */
    private String mdmName;
    /**
     * 备注
     */
    private String remark;
    private String def1;
    private String def2;
    private String def3;
    private String def4;
    private String def5;
    private String def6;
    private String def7;
    private String def8;
    private String def9;
    private String def10;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 修改人
     */
    private String modifyUser;


    private List<MdmModuleEntity> mdmModuleEntity;

}

