package com.hzya.frame.voucher.ae.comf.subject.entity;

import java.util.Date;

import com.hzya.frame.web.entity.BaseEntity;
import lombok.Data;

/**
 * 会计事项(accounting_event)-配置-科目对照_子表(AeConfSubjectContrastB)实体类
 *
 * @author zydd
 * @since 2025-06-05 15:13:29
 */
@Data
public class AeConfSubjectContrastBEntity extends BaseEntity {

    /**
     * 对照表id
     */
    private Long contrastId;
    /**
     * 公司pk
     */
    private String pkCorp;
    private String glorgname;
    /**
     * 目标档案id
     */
    private String pkAccsubj;
    /**
     * 目标档案值（会计科目)
     */
    private String desdocvalue;
    /**
     * 来源档案表1
     */
    private String factortable1;
    /**
     * 来源档案表2
     */
    private String factortable2;
    /**
     * 来源档案表3
     */
    private String factortable3;
    /**
     * 来源档案表4
     */
    private String factortable4;
    /**
     * 来源档案表5
     */
    private String factortable5;
    /**
     * 来源档案表6
     */
    private String factortable6;
    /**
     * 来源档案表7
     */
    private String factortable7;
    /**
     * 来源档案表8
     */
    private String factortable8;
    /**
     * 来源档案表9
     */
    private String factortable9;
    /**
     * 来源档案主键1
     */
    private String factorpk1;
    /**
     * 来源档案主键2
     */
    private String factorpk2;
    /**
     * 来源档案主键3
     */
    private String factorpk3;
    /**
     * 来源档案主键4
     */
    private String factorpk4;
    /**
     * 来源档案主键5
     */
    private String factorpk5;
    /**
     * 来源档案主键6
     */
    private String factorpk6;
    /**
     * 来源档案主键7
     */
    private String factorpk7;
    /**
     * 来源档案主键8
     */
    private String factorpk8;
    /**
     * 来源档案主键9
     */
    private String factorpk9;
    /**
     * 来源档案值1
     */
    private String factorid1;
    /**
     * 来源档案值2
     */
    private String factorid2;
    /**
     * 来源档案值3
     */
    private String factorid3;
    /**
     * 来源档案值4
     */
    private String factorid4;
    /**
     * 来源档案值5
     */
    private String factorid5;
    /**
     * 来源档案值6
     */
    private String factorid6;
    /**
     * 来源档案值7
     */
    private String factorid7;
    /**
     * 来源档案值8
     */
    private String factorid8;
    /**
     * 来源档案值9
     */
    private String factorid9;
    /**
     * 来源档案名称1
     */
    private String factorname1;
    /**
     * 来源档案名称2
     */
    private String factorname2;
    /**
     * 来源档案名称3
     */
    private String factorname3;
    /**
     * 来源档案名称4
     */
    private String factorname4;
    /**
     * 来源档案名称5
     */
    private String factorname5;
    /**
     * 来源档案名称6
     */
    private String factorname6;
    /**
     * 来源档案名称7
     */
    private String factorname7;
    /**
     * 来源档案名称8
     */
    private String factorname8;
    /**
     * 来源档案名称9
     */
    private String factorname9;
    /**
     * 备注
     */
    private String remark;
    private String def1;
    private String def2;
    private String def3;
    private String def4;
    private String def5;
    private String def6;
    private String def7;
    private String def8;
    private String def9;
    private String def10;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 修改人
     */
    private String modifyUser;


}

