package com.hzya.frame.voucher.ae.comf.subject.entity;

import java.util.Date;
import java.util.List;

import com.hzya.frame.web.entity.BaseEntity;
import lombok.Data;

/**
 * 会计事项(accounting_event)-配置-科目对照(AeConfSubjectContrast)实体类
 * ncc:fip_docview
 * @author zydd
 * @since 2025-05-30 15:04:47
 */
@Data
public class AeConfSubjectContrastEntity extends BaseEntity {
    /**
     * 对照表code
     */
    private String code;
    /**
     * 对照便name
     */
    private String name;
    /**
     * 账簿id
     */
    private String accountBookId;
    /**
     * 账簿code
     */
    private String accountBookCode;
    /**
     * 账簿名称
     */
    private String accountBookName;

    /**
     * 账簿类型id
     */
    private String accountBookTypeId;
    private String accountBookTypeCode;
    private String accountBookTypeName;

    /**
     * 公司pk
     */
    private String pkCorp;
    /**
     * 公司类型
     */
    private String corpType;
    /**
     * 目标档案类型
     */
    private String desdocId;
    private String desdocCode;
    private String desdocName;
    /**
     * 关联公司
     */
    private String pkSetcorp1;
    /**
     * 备注
     */
    private String remark;
    private String def1;
    private String def2;
    private String def3;
    private String def4;
    private String def5;
    private String def6;
    private String def7;
    private String def8;
    private String def9;
    private String def10;
    /**
     * 来源ids     ,隔开
     */
    private String sourceIds;
    /**
     * 来源names    ,隔开
     */
    private String sourceNames;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 修改人
     */
    private String modifyUser;

    private List<AeConfSubjectContrastBEntity> contrastBEntityList;


    /** 多选来源档案时接收参数使用，在逐一保存自白哦 */
    private List<MappingFileVO> mappingFileVOS;


}

